format_version: '1.0'

repository_url: https://github.com/openwall/john

sequence:
  base_version:
    input_file: '899f6531.zip'
    commit_sha1: 899f6531f77db0e5ef4034063ded7c20ebb33a20
  fix_attempt:
    - input_file: '01c44fdb.diff'
      commit_sha1: 01c44fdb27f3d8fd297ce29cced0e24a7ab0a351
    - input_file: '8d847e76.diff'
      commit_sha1: 8d847e769700eadc999fa122877d58d2e963b2fa
    - input_file: '3ca37f98.diff'
      commit_sha1: 3ca37f986ec6a7ce8f35ab6bca634741999a9b7c
    - input_file: 'de613585.diff'
      commit_sha1: de6135853af18507fe461a080cbbcea2ba441ff9
    - input_file: 'ed21fd3d.diff'
      commit_sha1: ed21fd3d2ef2a6099df1a7136068aec206038893
    - input_file: 'c14f027a.diff'
      commit_sha1: c14f027a161f8846d24254eb054b735fcc8f4b61
    - input_file: '3a7fd0fc.diff'
      commit_sha1: 3a7fd0fcd2c94e70f0f91ebe644a583448e6f03b
    - input_file: 'b61bd735.diff'
      commit_sha1: b61bd73541b333d680fbd60699e87925a538a46d
    
  expected_fix:
    input_file: 'c1583148.diff'
    commit_sha1: c1583148c980f3aa6d0de841b819ea4ef1a2ba58

  
classification: unknown
categories: []

  
metadata:
  language: C
  strategy: reopen
  build_system: []
  related_issue: https://github.com/openwall/john/issues/837
